Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-01-23 22:32:32 -0500
committerDavid Williams2013-01-23 22:32:32 -0500
commit32f4c4e16791d23682d5ad75bd1ac8358b708174 (patch)
treeeff5dc2fa821c566779847d1c8adcdcd3b6d81df
parent682c19dc8d3d1e25dc5e2452312a217a76a0366a (diff)
downloadeclipse.platform.releng.aggregator-32f4c4e16791d23682d5ad75bd1ac8358b708174.tar.gz
eclipse.platform.releng.aggregator-32f4c4e16791d23682d5ad75bd1ac8358b708174.tar.xz
eclipse.platform.releng.aggregator-32f4c4e16791d23682d5ad75bd1ac8358b708174.zip
Bug 398756 - [CBI] Carry PPC changes over to CBI scripts
-rw-r--r--scripts/build-functions.sh2
-rw-r--r--scripts/master-build.sh9
2 files changed, 7 insertions, 4 deletions
diff --git a/scripts/build-functions.sh b/scripts/build-functions.sh
index be55c121..bf1dca58 100644
--- a/scripts/build-functions.sh
+++ b/scripts/build-functions.sh
@@ -526,6 +526,7 @@ fn-gather-sdk ()
cp org.eclipse.sdk.ide-aix.gtk.ppc64.zip "$BUILD_DIR"/eclipse-SDK-${BUILD_ID}-aix-gtk-ppc64.zip
cp org.eclipse.sdk.ide-aix.gtk.ppc.zip "$BUILD_DIR"/eclipse-SDK-${BUILD_ID}-aix-gtk-ppc.zip
cp org.eclipse.sdk.ide-hpux.gtk.ia64_32.zip "$BUILD_DIR"/eclipse-SDK-${BUILD_ID}-hpux-gtk-ia64_32.zip
+ cp org.eclipse.sdk.ide-linux.gtk.ppc.tar.gz "$BUILD_DIR"/eclipse-SDK-${BUILD_ID}-linux-gtk-ppc.tar.gz
cp org.eclipse.sdk.ide-linux.gtk.ppc64.tar.gz "$BUILD_DIR"/eclipse-SDK-${BUILD_ID}-linux-gtk-ppc64.tar.gz
cp org.eclipse.sdk.ide-linux.gtk.s390.tar.gz "$BUILD_DIR"/eclipse-SDK-${BUILD_ID}-linux-gtk-s390.tar.gz
cp org.eclipse.sdk.ide-linux.gtk.s390x.tar.gz "$BUILD_DIR"/eclipse-SDK-${BUILD_ID}-linux-gtk-s390x.tar.gz
@@ -559,6 +560,7 @@ fn-gather-platform ()
cp org.eclipse.rcp.sdk.id-aix.gtk.ppc64.zip "$BUILD_DIR"/eclipse-platform-${BUILD_ID}-aix-gtk-ppc64.zip
cp org.eclipse.rcp.sdk.id-aix.gtk.ppc.zip "$BUILD_DIR"/eclipse-platform-${BUILD_ID}-aix-gtk-ppc.zip
cp org.eclipse.rcp.sdk.id-hpux.gtk.ia64_32.zip "$BUILD_DIR"/eclipse-platform-${BUILD_ID}-hpux-gtk-ia64_32.zip
+ cp org.eclipse.rcp.sdk.id-linux.gtk.ppc.tar.gz "$BUILD_DIR"/eclipse-platform-${BUILD_ID}-linux-gtk-ppc.tar.gz
cp org.eclipse.rcp.sdk.id-linux.gtk.ppc64.tar.gz "$BUILD_DIR"/eclipse-platform-${BUILD_ID}-linux-gtk-ppc64.tar.gz
cp org.eclipse.rcp.sdk.id-linux.gtk.x86_64.tar.gz "$BUILD_DIR"/eclipse-platform-${BUILD_ID}-linux-gtk-x86_64.tar.gz
cp org.eclipse.rcp.sdk.id-linux.gtk.x86.tar.gz "$BUILD_DIR"/eclipse-platform-${BUILD_ID}-linux-gtk.tar.gz
diff --git a/scripts/master-build.sh b/scripts/master-build.sh
index 6048fd9d..b5b22023 100644
--- a/scripts/master-build.sh
+++ b/scripts/master-build.sh
@@ -90,12 +90,14 @@ checkForErrorExit $? "Error occurred while updating build input"
#if [[ $BUILD_ID =~ [IN] ]]
#then
-# temp hack for bug 398201
+# temp hack for bug 398141 and others
# apply the pre-created patch from tempPatches
#echo "INFO: apply temp patch"
#echo "DEBUG: aggDir: $aggDir"
#echo "DEBUG: pwd: $PWD"
#patch -p1 --backup -d $aggDir/rt.equinox.bundles/bundles -i $aggDir/scripts/tempPatches/sbep2.patch
+#patch -p1 --backup -d $aggDir/eclipse.platform.ui/features -i $aggDir/scripts/tempPatches/e4rcpsource.patch
+#patch -p1 --backup -d $aggDir/rt.equinox.framework/bundles -i $aggDir/scripts/tempPatches/ppc.patch
#checkForErrorExit $? "Error occurred applying patch"
#fi
@@ -128,7 +130,6 @@ checkForErrorExit $? "Error occurred during gather parts"
#$SCRIPT_PATH/parse-logs.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/parse-logs-ouptut.txt
#checkForErrorExit $? "Error occurred during parse-logs"
-/bin/bash $SCRIPT_PATH/publish-eclipse.sh $BUILD_ENV_FILE
-checkForErrorExit $? "Error occurred during parse-logs"
-
+/bin/bash $SCRIPT_PATH/publish-eclipse.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/publish-eclipse-ouptut.txt
+checkForErrorExit $? "Error occurred during publish-eclipse"

Back to the top